*
* $Id: build_rmin_rmax.F,v 1.2 1995/08/29 13:28:21 zfiles Exp $
*
* $Log: build_rmin_rmax.F,v $
* Revision 1.2  1995/08/29 13:28:21  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : build_rmin_rmax
C     Purpose : Build a table of the maximum and minimum
C               radius, z position, and phi for all wafer
C               elements
C     
C
C     Modifications:
C
C
C

      subroutine build_rmin_rmax

      implicit none

#include "klmn/klmnseq/wafer_n.inc"

      integer iwaf

      do 10,iwaf=1,nwaf

        call waf_rmin_rmax(iwaf,rmin_waf(iwaf),rmax_waf(iwaf),
     +            phimin_waf(iwaf),phimax_waf(iwaf),
     +            zmin_waf(iwaf),zmax_waf(iwaf))

        rmin_waf(iwaf)=rmin_waf(iwaf)*0.999
        rmax_waf(iwaf)=rmax_waf(iwaf)*1.001


10    continue

      return

      end
