*
* $Id: cleoaxialder.F,v 1.3 1995/08/29 13:28:25 zfiles Exp $
*
* $Log: cleoaxialder.F,v $
* Revision 1.3  1995/08/29 13:28:25  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : cleoaxialder
C     Purpose : Calculates derivatives for hits on
C               axial wire
C
C     Modifications:
C
C
C
      subroutine cleoaxialder(k,d0,phi,z,t,i,der,dw)

c     this routine assumes that you have transported to
c     the wire.
 
      implicit none

      integer i
      real k,d0,phi,z,t,der(5)
      real dw 

      dw=d0

      der(1)=0.0
      der(2)=0.0
      der(3)=1.0
      der(4)=0.0
      der(5)=0.0


      RETURN
      END












