*
* $Id: transform_to_local.F,v 1.2 1995/08/29 13:29:04 zfiles Exp $
*
* $Log: transform_to_local.F,v $
* Revision 1.2  1995/08/29 13:29:04  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : transform_to_local
C     Purpose : transform a coordinate in the global
C               coordinate system too a local coordinate.
C               
C     
C
C     Modifications:
C
C
C
      subroutine transform_to_local(rot,trans,xg,xl)

      implicit none

      integer i

#include "klmn/klmnseq/wafer_n.inc"

      real rot(3,3),trans(3)
      real xl(3),xg(3),xg_w(3)

      xg_w(1)=xg(1)-trans(1)
      xg_w(2)=xg(2)-trans(2)
      xg_w(3)=xg(3)-trans(3)

      xl(1)=
     + rot(1,1)*xg_w(1)+rot(2,1)*xg_w(2)+
     + rot(3,1)*xg_w(3)

      xl(2)=
     + rot(1,2)*xg_w(1)+rot(2,2)*xg_w(2)+
     + rot(3,2)*xg_w(3)

      xl(3)=
     + rot(1,3)*xg_w(1)+rot(2,3)*xg_w(2)+
     + rot(3,3)*xg_w(3)


      return

      end

