*
* $Id: klmn_draw_event.F,v 1.2 1995/09/07 23:49:19 zfiles Exp $
*
* $Log: klmn_draw_event.F,v $
* Revision 1.2  1995/09/07 23:49:19  zfiles
* Added Id and Log
*
*
      subroutine klmn_draw_event
      implicit none

#include "klmn/klmnseq/cleofitcom.inc"
#include "klmn/klmnseq/mater_stop.inc"
#include "klmn/klmnseq/klmncm.inc"
#include "klmn/klmnseq/klmn_misc.inc"      
#include "klmn/klmnseq/klmntrk.inc"
#include "klmn/klmnseq/plot.inc"

      integer n_fits,i,k
      integer set_backing_c,set_ps_c,psopen_c
 
      real x_l(2),y_l(2),xa(1),ya(1),width(1)
      real height(1),bega(1),arca(1)

c      call start_clip_c

c      call axis_c(1,-1.0,0.0,0.1,20,10,3,"x",2.0)
c      call axis_c(0,0.0,-1.0,0.1,20,10,3,"y",2.0)

      do 10,i=1,nhits
         if (itype(i).eq.3) goto 10
         if (itype(i).eq.0) goto 10
         if (itype(i).eq.4) then 

         xa(1)=x_0(i)
         ya(1)=y_0(i)
         height(1)=20*abs(sigma(3,i))
         width(1)=20*abs(sigma(3,i))
         bega(1)=0.0
         arca(1)=360.0
         call arcs_c(0,xa,ya,width,height,bega,arca,0,0,1)   


         print *,'u_hat:',u_hat(1,i),u_hat(2,i),u_hat(3,i)
 
       x_l(1)=x_0(i)+w_org(1,i)+(d(3,i)+1000*sigma(3,i))*u_hat(1,i)
       y_l(1)=y_0(i)+w_org(2,i)+(d(3,i)+1000*sigma(3,i))*u_hat(2,i)

       x_l(2)=x_0(i)+w_org(1,i)+(d(3,i)-1000*sigma(3,i))*u_hat(1,i)
       y_l(2)=y_0(i)+w_org(2,i)+(d(3,i)-1000*sigma(3,i))*u_hat(2,i)
         call lines_c(0,x_l,y_l,2)

           goto 10
         endif
         if ((cx(i)**2+cy(i)**2).lt.0.0001) then
           x_l(1)=x(i)-d(3,i)
           y_l(1)=y(i)
           x_l(2)=x(i)+d(3,i)
           y_l(2)=y(i)
           call lines_c(0,x_l,y_l,2)
           x_l(1)=x(i)
           y_l(1)=y(i)-d(3,i)
           x_l(2)=x(i)
           y_l(2)=y(i)+d(3,i)
           call lines_c(0,x_l,y_l,2)
         endif
         xa(1)=x(i)
         ya(1)=y(i)
         height(1)=2*abs(d(3,i))
         width(1)=2*abs(d(3,i))
         bega(1)=0.0
         arca(1)=360.0
         call arcs_c(0,xa,ya,width,height,bega,arca,0,0,1)   
       

 10   continue

c       print *,eta_in(1,1)
c       print *,eta_in(1,2)
c       print *,eta_in(1,3)
c       print *,eta_in(1,4)
c       print *,eta_in(1,5)

c        print *,ltrack,lseed 

       if (ltrack) then
           xa(1)=-(eta_in(3,2)+1/(2*eta_in(1,2)))*
     +                          sin(eta_in(2,2))
           ya(1)=(eta_in(3,2)+1/(2*eta_in(1,2)))*
     +                          cos(eta_in(2,2))
           width(1)=0.5/abs(eta_in(1,2))
           height(1)=width(1)
           bega(1)=0.0
           arca(1)=360.0
           call trk_arcs(xa(1),ya(1),width(1),bega(1),arca(1))   
       endif

       if (lseed) then
         xa(1)=-(d0_start+1/(2*k_start))*
     +                          sin(phi_start)
         ya(1)=(d0_start+1/(2*k_start))*
     +                          cos(phi_start)
         width(1)=0.5/abs(k_start)
         height(1)=width(1)
         bega(1)=0.0
         arca(1)=360.0
         call trk_arcs(xa(1),ya(1),width(1),bega(1),arca(1))   
       endif

876    continue

c      if (all) then
c
c      do 20,i=1,nhits
c
c         xa(1)=-(eta_s(3,i)+1/(2*eta_s(1,i)))*
c     +                          sin(eta_s(2,i))+x_s(i)
c         ya(1)=(eta_s(3,i)+1/(2*eta_s(1,i)))*
c     +                          cos(eta_s(2,i))+y_s(i)
c         width(1)=0.5/abs(eta_s(1,i))
c         height(1)=width(1)
c         bega(1)=0.0
c         arca(1)=360.0
c         call trk_arcs(xa(1),ya(1),width(1),bega(1),arca(1))   
c
c 20   continue

c      endif

      call update_c

      return

      end




