*
* $Id: plot.inc,v 1.2 1995/08/29 13:29:49 zfiles Exp $
*
* $Log: plot.inc,v $
* Revision 1.2  1995/08/29 13:29:49  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : plot.inc
C     Purpose : Control of plotting package.
C     
C
C     Modifications:
C
C
C
       integer max_color
       parameter(max_color=100)

       real x0_win,y0_win
       real dx0_win,dy0_win
       
       parameter(x0_win=-1.0)
       parameter(y0_win=-1.0)

       parameter(dx0_win=2.0)
       parameter(dy0_win=2.0)


       integer line_plot,red_i,green_i,blue_i
       integer pixel

       logical ltrack,lseed,lname

       common /plot_l/
     +         ltrack,lseed,lname

       COMMON /plot_i/
     +         line_plot,red_i(max_color),
     +         green_i(max_color),blue_i(max_color),
     +         pixel(max_color) 
 

       REAL psi,phi,theta,red_r,green_r,blue_r
       real x_or,y_or,dx_pl,dy_pl


       COMMON /plot_R/
     +         psi,phi,theta,red_r(max_color),
     +         green_r(max_color),blue_r(max_color),
     +         x_or,y_or,dx_pl,dy_pl






