*
* $Id: in_waf.F,v 1.2 1995/08/29 13:28:39 zfiles Exp $
*
* $Log: in_waf.F,v $
* Revision 1.2  1995/08/29 13:28:39  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : in_waf
C     Purpose : to see if the line from x1 to x2 passes through
C               wafer waf_num
C     
C
C     Modifications:
C
C
C
      subroutine in_waf(waf_num,x1,x2,s_list,waf_num_list,nentry,
     +            n_entered,entered_list,s)

      implicit none

#include "klmn/klmnseq/wafer_n.inc"
#include "klmn/klmnseq/vol.inc"
#include "klmn/klmnseq/mater_n.inc"

      integer waf_num,waf_num_list(max_list_n),nentry
      integer n_entered,entered_list(max_list_n)

      real s

      real x1(3),x2(3),s_list(max_list_n)

      integer in_out_list(10),i,n_entries_waf

      real    s_list_waf(10)

      call waf_int(waf_num,x1,x2,s_list_waf,in_out_list,
     +                          n_entries_waf)
     
      s=0.0

      if (n_entries_waf.gt.0) then
        n_entered=n_entered+1
        entered_list(n_entered)=waf_num
      endif

      do 10,i=1,n_entries_waf
         nentry=nentry+1
         s_list(nentry)=s_list_waf(i)
         if (in_out_list(i).eq.1) then
            waf_num_list(nentry)=waf_num+10000
            s=s+1.0-s_list_waf(i)
            if (smax.le.s_list(nentry)) then
               smax=s_list(nentry)
               last_vol(nmater_n)=waf_num+10000
            endif
         else
            waf_num_list(nentry)=parent_waf(waf_num)
            s=s-(1.0-s_list_waf(i))
            if (smax.le.s_list(nentry)) then
               smax=s_list(nentry)
               last_vol(nmater_n)=parent_waf(waf_num)
            endif
         endif
 10   continue

      if (s.lt.0.0) s=s+1.0

      return

      end


      











