*
* $Id: klmn_save_track_par.F,v 1.2 1995/08/29 13:28:48 zfiles Exp $
*
* $Log: klmn_save_track_par.F,v $
* Revision 1.2  1995/08/29 13:28:48  zfiles
* Complete new set from Rob/Anders
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : klmn_save_track_par
C     Purpose : to save the track parameters at each hit.
C               Used for smoothing.
C     
C
C     Modifications:
C
C
C
      subroutine klmn_save_track_par(i,eta0,detaopt,veta)

      implicit none

      integer i
      real eta0(5),detaopt(5)
      real*8 veta(5,5)

#include "klmn/klmnseq/cleofitcom.inc"
#include "klmn/klmnseq/mater_stop.inc"
#include "klmn/klmnseq/klmncm.inc"



      eta_s(1,i)=eta0(1)+detaopt(1)
      eta_s(2,i)=eta0(2)+detaopt(2)
      eta_s(3,i)=eta0(3)+detaopt(3)
      eta_s(4,i)=eta0(4)+detaopt(4)
      eta_s(5,i)=eta0(5)+detaopt(5)

      call ucopy(veta,veta_s(1,1,i),50)


      x_s(i)=x(i)
      y_s(i)=y(i)
      z_s(i)=0.0

      return

      end




