*
* $Id: user_trans_s.F,v 1.1 1996/04/08 14:37:50 zfiles Exp $
*
* $Log: user_trans_s.F,v $
* Revision 1.1  1996/04/08 14:37:50  zfiles
* New single precision shell which calls user_trans.F
*
*
C
C     Code created by 
C
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : April 3 1996
C     Title   : user_trans_s
C     Purpose : To allow the user to call user_trans without having 
C               to convert the error matrices to double. Otherwise
C               identical to user_trans
C     
C
C     Modifications:
C
C
      subroutine user_trans_s(x_fr,y_fr,eta_fr,veta_fr_s,
     +           x_to,y_to,eta_to,veta_to_s,part_type,ierr)

      implicit none

      integer part_type,ierr
      real x_fr,y_fr,x_to,y_to

      real eta_fr(5),eta_to(5)
      real  veta_fr_s(5,5),veta_to_s(5,5)
      real*8  veta_fr(5,5),veta_to(5,5)

      integer i,j

      do 10,i=1,5
        do 11,J=1,5
          veta_fr(i,j)=veta_fr_s(i,j)
11      continue
10    continue


      call user_trans(x_fr,y_fr,eta_fr,veta_fr_s,
     +         x_to,y_to,eta_to,veta_to_s,part_type,ierr)


      do 20,i=1,5
        do 21,J=1,5
          veta_to_s(i,j)=veta_to(i,j)
21      continue
20    continue


      return

      end




