*
* $Id: draw_mat.F,v 1.2 1995/09/07 23:49:09 zfiles Exp $
*
* $Log: draw_mat.F,v $
* Revision 1.2  1995/09/07 23:49:09  zfiles
* Added Id and Log
*
*
      subroutine draw_mat

      implicit none


#include "klmn/klmnseq/wafer_n.inc"   
#include "klmn/klmnseq/table.inc"  
#include "klmn/klmnseq/plot.inc"
#include "klmn/klmnseq/chamber_n.inc"
#include "klmn/klmnseq/mater_n.inc"
#include "klmn/klmnseq/mater_prop.inc"
      
      integer n_fits,i,k,color,define_rgb_color_c
      integer color_back,set_foreground_c
      integer define_color_c
      integer set_backing_c,set_ps_c,psopen_c
      integer lwidth,set_line_width_c 

      real x_l(2),y_l(2),xa(1),ya(1),width(1)
      real height(1),bega(1),arca(1)

      logical wclose,first
      
      data first / .true. /

c      print *,'In draw mat'

    

      if (first) then
        first=.false.
        color=define_color_c("red")
      endif


      call start_clip_c

      call axis_c(1,-4.0,0.0,0.5,16,10,3,"x",2.0)
      call axis_c(0,0.0,-4.0,0.5,16,10,3,"y",2.0)

      k=0

      lwidth= set_line_width_c(4)

c      print *,'Will write text'


      print *,'lname:',lname

      if (lname) then

c      print *,'Will print out material!'

      do 3,i=1,100

c      print *,'Will write text,i:',i

        if (red_i(i)+green_i(i)+blue_i(i).gt.0) then

          k=k+1
 
c          print *,'Will write text,k:',k
c          print *,mater_name(i)

          color_back=set_foreground_c(pixel(i),
     +      red_r(i),green_r(i),blue_r(i))

          call vec_string_c(x_or+0.7*dx_pl,
     +                        y_or+(0.05+k/40.0)*dy_pl,-1,0,
     +                    3.0,mater_name(i),0.0)

          color_back=set_foreground_c(color_back,0.0,0.0,0.0)


      endif

 3    continue

      endif

      

c      print *,'Will draw chamber'

      do 5,i=1,ncham

c        print *,'i=',i
        call draw_cham(i)

 5    continue

c      print *,'Will draw waf'

      do 10,i=1,nwaf
 
         wclose=.false.

         do 12,k=1,ntable_waf
            if (number_waf(k,line_plot).eq.i) 
     +                       wclose=.true.
 12      continue

c        if (wclose) 
c     +      color_back=set_foreground_c(color,0.99,0.00,0.00)

c        if (wclose) 
c     +      color_back=set_foreground_c(color)


c        print *,'Calling draw_wafer i:',i
c        if (wclose)

c        call draw_wafer(i)

c        if (wclose) 
c     +      color_back=set_foreground_c(color_back,
c     +                                 0.0,0.0,0.99)

c        if (wclose) 
c     +      color_back=set_foreground_c(color_back)


 10   continue

c      do 20,i=1,nlines

c        if (i.eq.line_plot) 
c     +      color_back=set_foreground_c(color,0.99,0.00,0.00)
 
c        if (i.eq.line_plot) 
c     +      color_back=set_foreground_c(color)
 

c        if (i.eq.line_plot) 
c        call draw_line(i)

c        if (i.eq.line_plot) 
c     +      color_back=set_foreground_c(color_back,
c     +                                 0.0,0.0,0.99)

c        if (i.eq.line_plot) 
c     +      color_back=set_foreground_c(color_back)
        

c 20   continue

c      print *,'Will call draw_mater_prop'

      do 30,i=1,nmater_n

c      print *,'Will call draw_mater_prop i:',i

        call draw_mater_prop(i)

 30   continue

      call update_c

      return

      end












