*
* $Id: draw_para_waf.F,v 1.2 1995/09/07 23:49:11 zfiles Exp $
*
* $Log: draw_para_waf.F,v $
* Revision 1.2  1995/09/07 23:49:11  zfiles
* Added Id and Log
*
*
C     This routine finds the points along a line from x1 to x2 where
C     the line enters or exits a pcon with inner radius of rmin and
C     outer radius of rmax. The fractional distance at the entrance 
C     and exits points are stored in s_list and in_out_list flags if
C     the point was an entrance (+1) or an exit (-1). Cmp box_intercept.
C     n_inter gives the number of entrance+exits.


      subroutine draw_para_waf(i,ivol)


      implicit none

#include "klmn/klmnseq/vol.inc"

      integer in_out_list(10),n_inter,n_inter_plane
      real s_list(10)

      real s_list_plane(10)

      real  x(3),xto(3)

      real*8 rmin,rmax,rmin1,rmin2,rmax1,rmax2,z1,z2,z
      real*8 phi,theta

      integer npdv    

      real*8 s(4),in_out(4),vxy2,vx,q2,smin,lmin

      logical bubble
   
      integer j,i,ivol,nz

      real  v(3)
      real x1(3),x2(3),x3(3),x4(3),x5(3)
      real x6(3),x7(3),x8(3),dx,dy,dz

      

      if (par_vol(ivol,4).ne.0.0) then
         print *,'alpha is not zero! Error!'
      endif

      phi=par_vol(ivol,6)*0.017453292
      theta=par_vol(ivol,5)*0.017453292

      dx=par_vol(ivol,1)
      dy=par_vol(ivol,2)
      dz=par_vol(ivol,3)


      x1(1)=dx
      x1(2)=sin(phi)*tan(theta)*dz-dy
      x1(3)=dz

      x2(1)=dx
      x2(2)=sin(phi)*tan(theta)*dz+dy
      x2(3)=dz

      x3(1)=dx
      x3(2)=-sin(phi)*tan(theta)*dz-dy
      x3(3)=-dz

      x4(1)=dx
      x4(2)=-sin(phi)*tan(theta)*dz+dy
      x4(3)=-dz


      x5(1)=-dx
      x5(2)=sin(phi)*tan(theta)*dz-dy
      x5(3)=dz

      x6(1)=-dx
      x6(2)=sin(phi)*tan(theta)*dz+dy
      x6(3)=dz

      x7(1)=-dx
      x7(2)=-sin(phi)*tan(theta)*dz-dy
      x7(3)=-dz

      x8(1)=-dx
      x8(2)=-sin(phi)*tan(theta)*dz+dy
      x8(3)=-dz

      call draw_quad(i,x1,x2,x3,x4)
      call draw_quad(i,x5,x6,x7,x8)
      call draw_quad(i,x1,x3,x5,x7)
      call draw_quad(i,x2,x4,x6,x8)
      call draw_quad(i,x1,x2,x5,x6)
      call draw_quad(i,x3,x4,x7,x8)


      return

      end









