*
* $Id: plot_mat.F,v 1.2 1995/09/07 23:49:20 zfiles Exp $
*
* $Log: plot_mat.F,v $
* Revision 1.2  1995/09/07 23:49:20  zfiles
* Added Id and Log
*
*
      subroutine plot_mat

      implicit none

C..display.dat
      character*80 chdisp
      integer nchdisp
      real size_win
      
      integer n_fits,i,k
      integer set_backing_c,set_ps_c,psopen_c
      integer choice1,choice2,choice3,choice4
      integer choice5,choice6,choice7,choice8
      integer choice10,choice11,choice9
      integer choice12,choice13
      integer id,jtype
      real    x_c,y_c,x1,x2,y1,y2,dx,dy

      real x_l(2),y_l(2),xa(1),ya(1),width(1)
      real height(1),bega(1),arca(1)

      integer add_choice_c

#include "klmn/klmnseq/plot.inc"

      logical first,skip,all

       common /plot_choice/
     +     choice1,
     +     choice2,
     +     choice3,
     +     choice4,
     +     choice5,
     +     choice6,
     +     choice7,
     +     choice8,
     +     choice9


     
      data first / .true. /
      data skip /.false. /
      data all /.false. /
c      data seedtrack /.true./
c      data ltrack /.false./

      if (skip) then
         return
      endif


      if (first) then

         ltrack=.false.
         lseed=.false.
         lname=.false.
 
         
         
         first=.false.
         
c     open (89, FILE='display.dat', STATUS='OLD')
c read display variable
         call getenv("DISPLAY",chdisp)
         i=len(chdisp)
         nchdisp=i
         do while (i.gt.0.and.chdisp(i:i).eq.' ')
            i=i-1
            nchdisp=i
         end do
         if (nchdisp.eq.0) then
            write(6,*)'Can''t plot data - DISPLAY variable not set'
            return
         end if
         write(6,*)"DISPLAY variable is ",chdisp
c     read (89, '(I2, 1X, A)') nchdisp, chdisp
         write(6,*)"Enter window size:"
c         read (5, *) size_win
         size_win=200.0
         write (6, *) 'DISPLAY = "', chdisp(1:nchdisp), '"'
         write (6, *) 'Window size = ', size_win
C     close (89)
         
         theta=0.0
         phi=0.0
         psi=0.0
         
         line_plot=1
         
         call pltopn_c(chdisp(1:nchdisp),"ryd",size_win,dx0_win,
     +        dy0_win,x0_win,y0_win)
         
c     call pltopn_c("design1.lbl.gov:0.0","ryd",200.0,dx0_win,
c     +                            dy0_win,x0_win,y0_win)
         
c     call pltopn_c("ucsbzr:0.0","ryd",200.0,dx0_win,
c     +                            dy0_win,x0_win,y0_win)
         
         
c     call pltopn_c("truth:0.0","ryd",200.0,dx0_win,
c     +                            dy0_win,x0_win,y0_win)
         
c     call pltopn_c("down:0.0","ryd",200.0,dx0_win,
c     +                            dy0_win,x0_win,y0_win)
         
c     call pltopn_c("strange:0.0","ryd",200.0,dx0_win,
c     +                            dy0_win,x0_win,y0_win)
         
         
         x_or=x0_win
         y_or=y0_win
         dx_pl=dx0_win
         dy_pl=dy0_win
         
c     print *,'Will do color init'
         
         call color_init(1,65000,0,0)
         call color_init(16,65000,0,45000)
         call color_init(3,25000,25000,65000)
         call color_init(13,48000,0,16000)
         call color_init(5,0,65000,0)
         call color_init(6,0,0,65000)
         call color_init(7,65000,0,65000)
         call color_init(8,65000,65000,0)
         call color_init(9,65000,32000,0)
         call color_init(10,65000,65000,32000)
         call color_init(11,32000,32000,32000)
         call color_init(12,0,32000,32000)
         call color_init(4,32000,0,32000)
         call color_init(14,0,65000,65000)
         call color_init(15,32000,32000,0)
         call color_init(2,32000,16000,48000)
         
c     print *,'Have done color init'
         
         
         k=set_backing_c(0)
         
         
         
         choice1=add_choice_c(0,'Zoom')
         
         choice2=add_choice_c(0,'UnZoom')
         
         choice3=add_choice_c(0,'HardCopy')
         
         choice4=add_choice_c(0,'NextEvent')
         
         choice5=add_choice_c(0,'Skip')
         
         choice6=add_choice_c(0,'Name')
         
         choice7=add_choice_c(0,'Seed')
         
         choice9=add_choice_c(0,'Track')
         
         
         print *,'choice1:',choice1
         print *,'choice2:',choice2
         print *,'choice3:',choice3
         print *,'choice4:',choice4
         
         
      endif
      
      
 10   call erase_c
      call draw_mat
      call klmn_draw_event
      
      
      
 13   call next_event_c(id,jtype,x_c,y_c)
      
      print *,'id,jtype,x_c,y_c:',
     +     id,jtype,x_c,y_c
      
      if (id.eq.0) goto 13
      
      if (id.eq.choice1) then
 15      call next_event_c(id,jtype,x_c,y_c)
         if (id.ne.0.or.jtype.ne.1) goto 15
         x1=x_c
         y1=y_c
 16      call next_event_c(id,jtype,x_c,y_c)
         if (id.ne.0.or.jtype.ne.1) goto 16
         x2=x_c
         y2=y_c
         dx=abs(x2-x1)
         dy=abs(y2-y1)
         if (dx.lt.dy) dx=dy
         if (dy.lt.dx) dy=dx
         if (x2.lt.x1) x1=x2
         if (y2.lt.y1) y1=y2
         call rescale_c(dx,dy,x1,y1)
         x_or=x1
         y_or=y1
         dx_pl=dx
         dy_pl=dy
         call next_event_c(id,jtype,x_c,y_c)
         goto 10
      endif
      
      if (id.eq.choice2) then
         call rescale_c(dx0_win,dy0_win,x0_win,y0_win)
         x_or=x0_win
         y_or=y0_win
         dx_pl=dx0_win
         dy_pl=dy0_win
      endif
      
      if (id.eq.choice3) then
         k=psopen_c("ryd","test.ps")
c     call start_clip_c
         k=set_ps_c(1)
         call draw_mat
         call klmn_draw_event
         call next_page_c
         call psclose_c
         k=set_ps_c(0)
      endif
      
      if (id.eq.choice4) then
c     goto 999
         return
      endif
      
      if (id.eq.choice5) then
         skip=.true.
         return
      endif
      
      if (id.eq.choice6) then
        lname=.not.lname
      endif
      
      if (id.eq.choice7) then
         lseed=.not.lseed
      endif
      
      
      if (id.eq.choice9) then
         ltrack=.not.ltrack
      endif
      
      
      
      goto 10 
      
      
 999  continue
      
      return
      
      end
