*
* $Id: klmn_misc.inc,v 1.2 1995/08/29 13:29:37 zfiles Exp $
*
* $Log: klmn_misc.inc,v $
* Revision 1.2  1995/08/29 13:29:37  zfiles
* Complete new set from Rob/Anders. Id and Log added
*
*
C
C     Code created by 
C
C     Robert Kutschke : kutschke@lns598.lns.cornell.edu
C     Anders Ryd      : ryd@charm.physics.ucsb.edu
C
C     Created : Sept 1994 -- June 1995
C     Title   : klmn_misc.inc
C     Purpose : Common block that holds miscaleneous parameters,
C               like the truth table and so on.
C     
C
C     Modifications:
C
C
C
C
C

c     k_p,..t_p is the generated track parameters
c     k_seed,..t_seed is the seed track parameters described
c              at the point of closest approach to the z-axis.

      real k_p,d0_p,phi_p,z_p,t_p 
      real k_seed,d0_seed,phi_seed,z_seed,t_seed


      common /klmn_misc_r/
     +         k_p,d0_p,phi_p,z_p,t_p,
     +         k_seed,d0_seed,phi_seed,z_seed,t_seed


